[Lunar-commits] r26976 - in lunar-iso/trunk: . scripts

Auke Kok sofar at lunar-linux.org
Wed Nov 28 19:36:32 CET 2007


Author: sofar
Date: 2007-11-28 19:36:31 +0100 (Wed, 28 Nov 2007)
New Revision: 26976

Added:
   lunar-iso/trunk/scripts/precheck
Modified:
   lunar-iso/trunk/Makefile
Log:
Add a little dependency checker before doing a build... spots some easy to find dependency problems


Modified: lunar-iso/trunk/Makefile
===================================================================
--- lunar-iso/trunk/Makefile	2007-11-28 18:35:44 UTC (rev 26975)
+++ lunar-iso/trunk/Makefile	2007-11-28 18:36:31 UTC (rev 26976)
@@ -82,6 +82,8 @@
 
 cachefill: dirs $(ISO_TARGET)/.cachefill
 $(ISO_TARGET)/.cachefill:
+	@echo "Resolving and testing dependencies"
+	@scripts/precheck
 	@echo "Fetching cache tarballs and sources"
 	@scripts/cachefill
 

Added: lunar-iso/trunk/scripts/precheck
===================================================================
--- lunar-iso/trunk/scripts/precheck	                        (rev 0)
+++ lunar-iso/trunk/scripts/precheck	2007-11-28 18:36:31 UTC (rev 26976)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+. /etc/lunar/config
+export VERBOSE=off
+
+LISTS="conf/base.list conf/base.list-$ISO_KSUFFIX conf/extended.list"
+MODULES="$(cat $LISTS) ${ISO_LUNAR_MODULE} kernel-headers-$ISO_KSUFFIX"
+
+for MODULE in $MODULES ; do
+	for DEP in `lsh find_depends $MODULE` ; do
+		if ! grep -q $DEP $LISTS ; then
+			echo "$MODULE: Missing $DEP"
+			FAILED=1
+		fi
+	done
+done
+
+# if [ -n "$FAILED" ]; then
+# 	exit 1
+# fi


Property changes on: lunar-iso/trunk/scripts/precheck
___________________________________________________________________
Name: svn:executable
   + *



More information about the Lunar-commits mailing list